Categories:
  - System
  - Multimedia
License: MIT
AuthorName: Alex Tran
AuthorEmail: alex.tran1502@gmail.com
AuthorWebSite: https://hautran.net
WebSite: https://github.com/alextran1502/immich
SourceCode: https://github.com/alextran1502/immich
IssueTracker: https://github.com/alextran1502/immich/issues
Changelog: https://github.com/alextran1502/immich/releases
Donate: https://github.com/sponsors/alextran1502
Bitcoin: 1PtkQfxHViZ8ugQ6U1sEzwoaBuT67xAUaj

AutoName: Immich

RepoType: git
Repo: https://github.com/alextran1502/immich.git

Builds:
  - versionName: 1.5.1
    versionCode: 9
    commit: v1.5.1+9-dev
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.6.0
    versionCode: 10
    commit: c7dff229dbffd6f5abbd9a79a90492dc323e7cf5
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.7.0
    versionCode: 11
    commit: 4309104925cbaf349cbc6ef63715175448d5c5c8
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.8.0
    versionCode: 12
    commit: 2c4243b3d09efa80c2cb70f8f6ffc043d29535d9
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.9.0
    versionCode: 13
    commit: 373b6918f8208d8ae7b4d5f814f90333398561d9
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.9.1
    versionCode: 14
    commit: bb89fa4aab64f2f4ff7170e4b3ef65d7e8ed4c71
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.10.0
    versionCode: 15
    commit: b34de624cef43a4fdc571d70d15bacbbcf1e6d49
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - design
      - docker
      - machine_learning
      - microservices
      - mobile/ios
      - server
      - web
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.11.0
    versionCode: 17
    commit: a8220172f8b2d5d30484f433187d95def84a1576
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - design
      - docker
      - machine-learning
      - mobile/ios
      - server
      - web
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 1.12.0
    versionCode: 18
    commit: b7603fd1509fb259dcd50f3a0ae1b30ccb062521
    subdir: mobile
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - design
      - docker
      - machine-learning
      - mobile/ios
      - server
      - web
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --release

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: mobile/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.12.0
CurrentVersionCode: 18
